<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetVar Method (IEdmBomCell)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomCell Interface : SetVar Method (IEdmBomCell)

Visual Basic
C#
C++/CLI

lVariableID
  ID of the variable to set (see Remarks)

eColumn
  Type of column as defined in EdmBomColumnType (see Remarks)

oNewValue
  New value

bsConfiguration
  Name of the configuration in which to set the value of this BOM cell

eOption
  Type of value to set as defined in EdmBomSetVarOption

pbsErrorMessage
  Error message

Sets the value of the specified cell in this BOM row.

# Syntax

Visual Basic |
--- | ---

    Function SetVar( _
       ByVal lVariableID As System.Integer, _
       ByVal eColumn As EdmBomColumnType, _
       ByVal oNewValue As System.Object, _
       ByVal bsConfiguration As System.String, _
       ByVal eOption As EdmBomSetVarOption, _
       ByRef pbsErrorMessage As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool SetVar(
       System.int lVariableID,
       EdmBomColumnType eColumn,
       System.object oNewValue,
       System.string bsConfiguration,
       EdmBomSetVarOption eOption,
       out System.string pbsErrorMessage
    )

C++/CLI |
--- | ---

    System.bool SetVar(
    &   System.int lVariableID,
    &   EdmBomColumnType eColumn,
    &   System.Object^ oNewValue,
    &   System.String^ bsConfiguration,
    &   EdmBomSetVarOption eOption,
    &   [Out] System.String^ pbsErrorMessage
    )

#### Parameters

lVariableID
  ID of the variable to set (see Remarks)
eColumn
  Type of column as defined in EdmBomColumnType (see Remarks)
oNewValue
  New value
bsConfiguration
  Name of the configuration in which to set the value of this BOM cell
eOption
  Type of value to set as defined in EdmBomSetVarOption
pbsErrorMessage
  Error message

#### Return Value

True if the value is successfully set, false if not

# Example

Add Row to Bill of Materials (VB.NET)
Add Row to Bill of Materials (C#)

# Remarks

1. Call IEdmBomView::GetColumns to get EdmBomColumn for this BOM cell.
2. Set IVariableID with EdmBomColumn.mlVariableID.
3. Set eColumn with EdmBomColumn.meType.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomCell Interface
IEdmBomCell Members

# Availability

SOLIDWORKS PDM Professional 2009